<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.simuwang.base.mapper.TradeDateMapper">
    <resultMap id="BaseResultMap" type="com.simuwang.base.pojo.dos.TradeDateDO">
        <id column="id" property="id"/>
        <result column="trade_date" property="tradeDate"/>
        <result column="end_year" property="endYear"/>
        <result column="yearmonth" property="yearmonth"/>
        <result column="week_of_year" property="weekOfYear"/>
        <result column="year_week" property="yearWeek"/>
        <result column="day_of_week" property="dayOfWeek"/>
        <result column="isholiday" property="isholiday"/>
        <result column="isvalid" property="isvalid"/>
        <result column="createtime" property="createTime"/>
        <result column="updatetime" property="updateTime"/>
    </resultMap>
    <select id="selectTradeDate" resultMap="BaseResultMap">
        select id,trade_date,end_year,yearmonth,week_of_year,year_week,day_of_week,isholiday,isvalid,createtime,updatetime
        from PPW_EMAIL.pvn_trade_date where isvalid=1 and isholiday=0 and trade_date>=#{startDate} and trade_date <![CDATA[ <= ]]> #{endDate}
    </select>


</mapper>